<?php
if (! empty($this->request->data[$primaryModel][$displayField])):
	$metaData['MetaData.title']['placeholder'] = $this->request->data[$primaryModel][$displayField] . " | " . Configure::read('SiteSetting.general.site_title');
endif;

$bodyJs = '';
if (! empty($this->request->data[$primaryModel]['body'])):
	$bodyText = $this->request->data[$primaryModel]['body'];
elseif (! empty($this->request->data[$primaryModel]['description'])):
	$bodyText = $this->request->data[$primaryModel]['description'];
endif;

if (! empty($bodyText)):
	$bodyText = $this->Text->truncate(html_entity_decode(str_replace(array("\r", "\n"), '', strip_tags($bodyText))), 155, array('ellipsis' => ''));
	$bodyJs = "var itemBody = '" . $bodyText . "';";
	$metaData['MetaData.description']['placeholder'] = $bodyText;
endif;

$metaData['MetaData.title']['after'] = '<div class="charCounter"><div class="count"></div></div>';
$metaData['MetaData.description']['after'] = '<div class="charCounter"><div class="count"></div></div>';
?>
<?=$this->element('Forms/fields', array('fields' => $metaData))?>

<fieldset class="collapsable-fieldset open">
    <legend>Google Preview</legend>
    <div>
    	<div id="google-preview">

			<div class="gp-snippet">
				<h3><a class="metaTitle"></a></h3>
				<div>
					<div>
						<cite class="metaLink">


						</cite>
					</div>
					<span class="metaDesc"></span>
				</div>
			</div>

    	</div>
    </div>
</fieldset>
<div id="EvDisplay"></div>

<?php
// Add the default title / url / descriptions to JS for us to populate the preview
if (! empty($this->request->data[$primaryModel][$displayField])):
	echo $this->Html->scriptBlock(
		"var itemTitle = '" . $this->request->data[$primaryModel][$displayField] . " | " . Configure::read('SiteSetting.general.site_title') . "';",
		array(
			'inline' => false
		)
	);
endif;

if (! empty($bodyJs)):
	echo $this->Html->scriptBlock(
		$bodyJs,
		array(
			'inline' => false
		)
	);
endif;

if (! empty($this->request->data['Route']['alias'])):

	echo $this->Html->scriptBlock(
		"var itemUrl = 'http://" . $_SERVER['HTTP_HOST'] . "/" . $this->request->data['Route']['alias'] . "';
		var itemHost = 'http://" . $_SERVER['HTTP_HOST'] . "';
		var itemAlias = '" . $this->request->data['Route']['alias'] . "';
		",
		array(
			'inline' => false
		)
	);
endif;

// add the advert url to the JS so we can ajax it in
echo $this->Html->scriptBlock(
	"var advertUrl = '" . Configure::read('MetaData.advertUrl') . "?site=" . $_SERVER['HTTP_HOST'] . "';",
	array(
		'inline' => false
	)
);

// load up the main js to power this meta data tab
echo $this->Html->script(
	array(
		'MetaData.metaTab'
	),
	array(
		'inline' => false
	)
);

